Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs
Class XSGrammarBucket

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.XSGrammarBucket

public class XSGrammarBucket
extends java.lang.Object

A class used to hold the internal schema grammar set for the current instance

Version:
  $Id: XSGrammarBucket.java,v 1.8 2003/09/23 21:42:31 mrglavas Exp $
Author:
  Sandy Gao, IBM

Constructor Summary
`XSGrammarBucket()`

Method Summary
`SchemaGrammar` | `getGrammar(java.lang.String namespace)` Get the schema grammar for the specified namespace
`SchemaGrammar[]` | `getGrammars()` get all grammars in the registry
`void` | `putGrammar(SchemaGrammar grammar)` Put a schema grammar into the registry This method is for internal use only: it assumes that a grammar with the same target namespace is not already in the bucket.
`boolean` | `putGrammar(SchemaGrammar grammar, boolean deep)` put a schema grammar and any grammars imported by it (directly or inderectly) into the registry.
`void` | `reset()` Clear the registry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSGrammarBucket

    public XSGrammarBucket()

Method Detail

### getGrammar

    public SchemaGrammar getGrammar(java.lang.String namespace)

  Get the schema grammar for the specified namespace
  Parameters:
    `namespace` -
  Returns:
    SchemaGrammar associated with the namespace

### putGrammar

    public void putGrammar(SchemaGrammar grammar)

  Put a schema grammar into the registry This method is for internal use only: it assumes that a grammar with the same target namespace is not already in the bucket.
  Parameters:
    `grammar` - the grammar to put in the registry

### putGrammar

    public boolean putGrammar(SchemaGrammar grammar,
                              boolean deep)

  put a schema grammar and any grammars imported by it (directly or inderectly) into the registry. when a grammar with the same target namespace is already in the bucket, and different from the one being added, it's an error, and no grammar will be added into the bucket.
  Parameters:
    `grammar` - the grammar to put in the registry
    `deep` - whether to add imported grammars
  Returns:
    whether the process succeeded

### getGrammars

    public SchemaGrammar[] getGrammars()

  get all grammars in the registry
  Returns:
    an array of SchemaGrammars.

### reset

    public void reset()

  Clear the registry. REVISIT: update to use another XSGrammarBucket

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.